<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>chmod</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="&Auml;ndert die Zugriffsrechte einer Datei">
<meta name="keywords"       content="SELFPHP, PHP, Dateisystem-Funktionen, chmod">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-13T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/dateisystem_funktionen/chmod.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-13T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Dateisystem-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Dateisystem-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>chmod</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>chmod</b>(string filename, int 
      mode)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p> PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="103">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit chmod() kann man die Zugriffsrechte auf eine Datei &auml;ndern. Dabei 
        wird der<br>
        neue Zugriffswert (mode) der Datei (filename) als Oktalzahl angegeben.<br>
        Diese Funktion ist sehr n&uuml;tzlich, um nur bestimmte Rechte f&uuml;r 
        eine Datei zu<br>
        vergeben. Wenn Sie z.B. Statistiken, welche Sie &uuml;ber die Index-Datei 
        sammeln,<br>
        in eine TXT-Datei schreiben und nicht wollen, dass diese direkt aus dem 
        Internet<br>
        aufgerufen werden kann, so k&ouml;nnen Sie diese Datei mit speziellen 
        Rechten (z.B.<br>
        0600) ausstatten. Nun kann nur noch ein Skript von Ihrem Server auf diese 
        Datei<br>
        zugreifen.</p>
      <p><b>Wichtig:</b> Die Funktion chmod() wird auf dem Betriebssystem Windows 
        nichts<br>
        bewirken.</p>
      <p>Bei der Rechtevergabe kann man f&uuml;r den Eigent&uuml;mer/Owner, Gruppe/Group 
        und<br>
        den Rest der Welt/Public verschiedene Zugriffsrechte vergeben.<br>
      </p>
      <p>Werte f&uuml;r mode:</p>
      <ul>
        <li>Lesen/Read = r = 4</li>
        <li>Schreiben/Write = w = 2</li>
        <li>Ausf&uuml;hren/Execute = x = 1</li>
      </ul>
      <table border=0>
        <tr> 
          <td colspan="26">Rechenbeispiel:</td>
        </tr>
        <tr> 
          <td>drwxr-xrw-</td>
          <td>r</td>
          <td>+</td>
          <td>w</td>
          <td>+</td>
          <td colspan="2">x</td>
          <td>&nbsp;&nbsp;</td>
          <td>r</td>
          <td>+</td>
          <td>-</td>
          <td>+</td>
          <td colspan="2">x</td>
		  <td>&nbsp;&nbsp;</td>
          <td>r</td>
          <td>+</td>
          <td>w</td>
          <td>+</td>
          <td colspan="2">-</td>
		  <td>&nbsp;&nbsp;</td>
          <td>0756</td>
        </tr>
        <tr> 
          <td>das entspricht&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>2</td>
          <td>+</td>
          <td>1</td>
          <td>=7</td>
		  <td>&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>0</td>
          <td>+</td>
          <td>1</td>
          <td>=5</td>
		  <td>&nbsp;&nbsp;</td>
          <td>4</td>
          <td>+</td>
          <td>2</td>
          <td>+</td>
          <td>0</td>
          <td>=6</td>
		  <td>&nbsp;&nbsp;</td>
          <td>0756</td>
        </tr>
      </table>
      <p>&nbsp;</p>
      <table border=0>
        <tr> 
          <td colspan="5">Beispiele</td>
        </tr>
        <tr> 
          <td>&nbsp;</td>
          <td>User&nbsp;&nbsp;</td>
          <td>Group&nbsp;&nbsp;</td>
          <td>World&nbsp;&nbsp;</td>
          <td>Oktal</td>
        </tr>
        <tr> 
          <td>drwxrwxrwx&nbsp;&nbsp;</td>
          <td>rwx</td>
          <td>rwx</td>
          <td>rwx</td>
          <td>0777</td>
        </tr>
        <tr> 
          <td>drwxr-xr-x</td>
          <td>rwx</td>
          <td>r-x</td>
          <td>r-x</td>
          <td>0755</td>
        </tr>
        <tr> 
          <td>drwx------</td>
          <td>rwx</td>
          <td>---</td>
          <td>---</td>
          <td>0700</td>
        </tr>
        <tr> 
          <td>drwxr-x---</td>
          <td>rwx </td>
          <td>r-x</td>
          <td>---</td>
          <td>0750</td>
        </tr>
        <tr> 
          <td>drwxr-xr--</td>
          <td>rwx</td>
          <td>r-x</td>
          <td>r--</td>
          <td>0754</td>
        </tr>
      </table>
      
      <p>Siehe auch:</p>
      <ul>
        <li><a href="chown.html">chown()</a></li>
        <li><a href="chgrp.html">chgrp</a></li>
      </ul>
      
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="62">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$datei = &quot;zahl.txt&quot;;<br>clearstatcache();  <br>$chmod = decoct(fileperms($datei));<br>echo &quot;CHMOD vorher: &quot; . $chmod;<br>chmod ($datei, 0777);<br>clearstatcache();  <br>echo &quot;&lt;br&gt;&quot;;<br>$chmod = decoct(fileperms($datei));<br>echo &quot;CHMOD nachher: &quot; . $chmod;<br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="30">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>CHMOD vorher: 100600<br>
        CHMOD nachher: 100777</p>
      </td>
  </tr></table>


<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="chown.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="chown.html"><b>chown</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="chgrp.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="chgrp.html"><b>chgrp</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Dateisystem-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>